# Module `awful.widget.graph`

### Info:

- Author: Julien Danjou <julien@danjou.info>
- Copyright: 2009 Julien Danjou
- Release: v3.5.1

## Functions

set_border_color (graph, color) | Set the graph border color.
set_color (graph, color) | Set the graph foreground color.
set_background_color (graph, color) | Set the graph background color.
set_max_value (graph, value) | Set the maximum value the graph should handle.
set_scale (graph, scale) | Set the graph to automatically scale its values.
set_stack (graph, stack) | Set the graph to draw stacks.
set_stack_colors (graph, stack_colors) | Set the graph stacking colors.
add_value (_graph, value, group) | Add a value to the graph
graph:set_height (height) | Set the graph height.
graph:set_width (graph, width) | Set the graph width.
new (args) | Create a graph widget.

## Tables

graph | A graph widget.

## Functions

set_border_color (graph, color)
  Set the graph border color. If the value is nil, no border will be drawn.

  ### Parameters:

  - graph The graph.
  - color The border color to set.
set_color (graph, color)
  Set the graph foreground color.

  ### Parameters:

  - graph The graph.
  - color The graph color.
set_background_color (graph, color)
  Set the graph background color.

  ### Parameters:

  - graph The graph.
  - color The graph background color.
set_max_value (graph, value)
  Set the maximum value the graph should handle. If "scale" is also set, the graph never scales up below this value, but it automatically scales down to make all data fit.

  ### Parameters:

  - graph The graph.
  - value The value.
set_scale (graph, scale)
  Set the graph to automatically scale its values. Default is false.

  ### Parameters:

  - graph The graph.
  - scale A boolean value
set_stack (graph, stack)
  Set the graph to draw stacks. Default is false.

  ### Parameters:

  - graph The graph.
  - stack A boolean value.
set_stack_colors (graph, stack_colors)
  Set the graph stacking colors. Order matters.

  ### Parameters:

  - graph The graph.
  - stack_colors A table with stacking colors.
add_value (_graph, value, group)
  Add a value to the graph

  ### Parameters:

  - _graph The graph.
  - value The value between 0 and 1.
  - group The stack color group index.
graph:set_height (height)
  Set the graph height.

  ### Parameters:

  - height The height to set.
graph:set_width (graph, width)
  Set the graph width.

  ### Parameters:

  - graph The graph.
  - width The width to set.
new (args)
  Create a graph widget. key to set graph geometry.

  ### Parameters:

  - args Standard widget() arguments. You should add width and height

  ### Returns:

  A graph widget.

## Tables

graph
  A graph widget. awful.widget.graph

  ### Fields:

  - mt

generated by LDoc 1.3